libssh 0.7.5

Functions
The SSH threading functions.
The libssh API

Threading with libssh. More...

## Functions
struct ssh_threads_callbacks_struct * | ssh_threads_get_noop (void)
| Get the noop threads callbacks structure. More...
int | ssh_threads_set_callbacks (struct ssh_threads_callbacks_struct *cb)
| Set the thread callbacks structure. More...

## Detailed Description

Threading with libssh.

## Function Documentation

## ◆ ssh_threads_get_noop()

struct ssh_threads_callbacks_struct* ssh_threads_get_noop | ( | void |  | ) |

Get the noop threads callbacks structure.

This can be used with ssh_threads_set_callbacks. These callbacks do nothing and are being used by default.

Returns
  Always returns a valid pointer to the noop callbacks structure.

See also
  ssh_threads_set_callbacks

## ◆ ssh_threads_set_callbacks()

int ssh_threads_set_callbacks | ( | struct ssh_threads_callbacks_struct * | cb | ) |

Set the thread callbacks structure.

This is necessary if your program is using libssh in a multithreaded fashion. This function must be called first, outside of any threading context (in your main() function for instance), before you call ssh_init().

Parameters

  [in] | cb | A pointer to a ssh_threads_callbacks_struct structure, which contains the different callbacks to be set.

Returns
  Always returns SSH_OK.

See also
  ssh_threads_callbacks_struct
  SSH_THREADS_PTHREAD

Bug:
  libgcrypt 1.6 and bigger backend does not support custom callback. Using anything else than pthreads here will fail.